Tp::BaseChannelMessagesInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::BaseChannelMessagesInterface Class Reference
Connection manager service implementation

Base class for implementations of Channel.Interface.Messages. More...

`#include <TelepathyQt/BaseChannel>`

Inherits Tp::AbstractChannelInterface.

## Public Types
typedef Callback3< QString, const Tp::MessagePartList &, uint, DBusError * > | SendMessageCallback

## Public Member Functions
virtual | ~BaseChannelMessagesInterface ()
QVariantMap | immutableProperties () const
QStringList | supportedContentTypes ()
Tp::UIntList | messageTypes ()
uint | messagePartSupportFlags ()
uint | deliveryReportingSupport ()
Tp::MessagePartListList | pendingMessages ()
void | messageSent (const Tp::MessagePartList &content, uint flags, const QString &messageToken)
void | setSendMessageCallback (const SendMessageCallback &cb)
Public Member Functions inherited from Tp::AbstractChannelInterface
| AbstractChannelInterface (const QString &interfaceName)
virtual | ~AbstractChannelInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions
static BaseChannelMessagesInterfacePtr | create (BaseChannelTextType *textTypeInterface, QStringList supportedContentTypes, UIntList messageTypes, uint messagePartSupportFlags, uint deliveryReportingSupport)
template<typename BaseChannelMessagesInterfaceSubclass >
static SharedPtr < BaseChannelMessagesInterfaceSubclass > | create ()

## Protected Member Functions
QString | sendMessage (const Tp::MessagePartList &message, uint flags, DBusError *error)
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Additional Inherited Members
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Detailed Description

Base class for implementations of Channel.Interface.Messages.

## Member Typedef Documentation

typedef Callback3<QString, const Tp::MessagePartList&, uint, DBusError*> Tp::BaseChannelMessagesInterface::SendMessageCallback

## Constructor & Destructor Documentation

Tp::BaseChannelMessagesInterface::~BaseChannelMessagesInterface | ( |  | ) |
| virtual

Class destructor.

## Member Function Documentation

static BaseChannelMessagesInterfacePtr Tp::BaseChannelMessagesInterface::create | ( | BaseChannelTextType * | textTypeInterface,
|  | QStringList | supportedContentTypes,
|  | UIntList | messageTypes,
|  | uint | messagePartSupportFlags,
|  | uint | deliveryReportingSupport
| ) |  |
| inlinestatic

template<typename BaseChannelMessagesInterfaceSubclass >

static SharedPtr<BaseChannelMessagesInterfaceSubclass> Tp::BaseChannelMessagesInterface::create | ( |  | ) |
| inlinestatic

QVariantMap Tp::BaseChannelMessagesInterface::immutableProperties | ( |  | ) | const
| virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

QStringList Tp::BaseChannelMessagesInterface::supportedContentTypes | ( |  | ) |

Tp::UIntList Tp::BaseChannelMessagesInterface::messageTypes | ( |  | ) |

uint Tp::BaseChannelMessagesInterface::messagePartSupportFlags | ( |  | ) |

uint Tp::BaseChannelMessagesInterface::deliveryReportingSupport | ( |  | ) |

Tp::MessagePartListList Tp::BaseChannelMessagesInterface::pendingMessages | ( |  | ) |

void Tp::BaseChannelMessagesInterface::messageSent | ( | const Tp::MessagePartList & | content,
|  | uint | flags,
|  | const QString & | messageToken
| ) |  |

void Tp::BaseChannelMessagesInterface::setSendMessageCallback | ( | const SendMessageCallback & | cb | ) |

QString Tp::BaseChannelMessagesInterface::sendMessage | ( | const Tp::MessagePartList & | message,
|  | uint | flags,
|  | DBusError * | error
| ) |  |
| protected